#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySmashEggCFGData
{
	//编号
	int mID;
	//蛋名
	std::string mEggName;
	//锤子ID
	int mHammerId;
	//所需锤子数量
	int mHammerCount;
	//奖励积分Id
	int mIntegralId;
	//奖励积分数量
	int mIntegralCount;
};

class M_ActivitySmashEggCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySmashEggCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySmashEggCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivitySmashEggCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySmashEggCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivitySmashEggCFGData> mMapData;
};
